﻿@model BaseFlyerTemplateViewModel
@{
    ViewBag.Title = "Template1Preview";
    Layout = null;
}

<style>
    .pdf-compact .footer-gray {
        height: 90px !important;
        padding: 10px 44px;
    }

        .pdf-compact .footer-gray .f-item-contact-us {
            line-height: 18px;
        }

        .pdf-compact .footer-gray a {
            font-size: 12px;
        }

    .pdf-compact .weight-tin {
        font-size: 13px !important;
    }

    .pdf-compact .f-item-contact-us {
        font-size: 12px !important;
    }

    .pdf-compact .margin-bt-18, .pdf-compact .margin-bt-8 {
        margin-bottom: 5px;
    }

    .pdf-compact .link-box {
        margin-bottom: 6px;
        margin-top: 6px;
    }

    .pdf-compact .pm-schedule {
        margin-bottom: 10px !important;
    }


    .flyer-header-register-info > div {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%,-50%);
    }

    .flyer-header-theme {
        height: auto !important;
    }
</style>


<form novalidate>


    <div class="view-container gothambold-font" ng-class="{'pdf-compact': Model.Body.CountPMAndAM >= 8}">

        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    After school classes
                </h1>
            </div>
            <div class="actions">


            </div>
            <div class="clearfix"></div>
            <hr />
        </div>

        <div class="fleyer-sections-container">

            <div class="input-control choosen" data-role="input-control">
                <label class="req-star">Please select a school</label>
                <select chosen
                        ng-model="Model.SchoolId"
                        ng-change="fillSeasonData(Model.SchoolId)"
                        data-placeholder="Select school"
                        ng-options="obj.Value as obj.Text for obj in AllSchools"></select>

            </div>

            <div class="input-control choosen" data-role="input-control" ng-show="Model.SchoolId != '' ">
                <label class="req-star">Please select a season</label>
                <select chosen
                        ng-model="Model.SeasonId"
                        data-placeholder="Select season"
                        ng-options="obj.Value as obj.Text for obj in AllSeasons"></select>

            </div>
            <div>
                <div class="row place-left one-half padding-right20">
                    <label class="req-star">Contact email</label>
                    <div class="input-control text span5" data-role="input-control" @Html.AngValidationClassFor(model => model.Email)>
                        <input type="text" ng-model="Model.Email" @Html.AngTooltipValidationFor(model => model.Email)>
                    </div>
                </div>
                <div class="row place-left one-half ">
                    <label class="req-star">Contact phone</label>
                    <div class="input-control text span5" data-role="input-control" @Html.AngValidationClassFor(model => model.Phone)>
                        <input type="text" ng-model="Model.Phone" @Html.AngTooltipValidationFor(model => model.Phone)>
                    </div>
                </div>

            </div>

            <label>Comments</label>
            <div class="input-control text" data-role="input-control">
                <input type="text" ng-model="Model.Comments">
            </div>
            <label class="req-star">Flyer name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
                <input type="text" ng-model="Model.Name" @Html.AngTooltipValidationFor(model => model.Name)>
            </div>

            <div class="place-left one-half padding-right20">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.IsBlueColor)" type="checkbox">
                        <span class="check"></span>
                        Use blue color
                    </label>
                </div>
            </div>
            <button class="success large place-right button" ng-click="FillData()">Fetch classes</button>
            <div class="clearfix"></div>
        </div>

        <div class="clearfix"></div>
        <div class="fleyer-sections-container flyer-theme " ng-class="Model.Body.CountPMAndAM < 6 ? 'flyer-lg': 'flyer-sm'">
            <div style="margin-bottom: 16px;" ng-class="['flyer-header-theme','flyer-alignment',{'green-lines':Model.IsGreenColor==true,'blue-lines':Model.IsBlueColor==true,'black-lines':Model.IsBlueColor==false && Model.IsGreenColor==false}]">
                <div style="height:140px;float:left;margin: 10px 0;">
                    <img style="vertical-align:middle" class="partner-logo" src="~/Areas/Dashboard/Content/Image/bannerBoom.jpg" />
                </div>

                <div class="flyer-header-box-season">
                    <h1 class="flyer-header-school-name">{{Model.Body.SchoolName}}</h1>
                    <h3 class="flyer-header-sprint-season">
                        <span>{{Model.Body.SeasonName}} </span>
                        After School Electives
                    </h3>
                    <span class="flyer-header-season-date" style="color:#9eb55b;display:block;">{{Model.Body.SeasonDate}}</span>
                </div>
                <div style="height:140px;float:right;margin: 10px 0;">
                    <img style="vertical-align:middle" class="partner-logo" src="~/Areas/Dashboard/Content/Image/bannerBoomSchool.jpeg" />
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="clearfix"></div>


            @Html.Partial("_TemplateAfterSchoolClassesContentPreview", Model)

            <div class="txt-center gothambold-font flyer-footer-bottom" style="margin-top: 16px;">
                <div class="flyer-alignment flyer-border-bottom flyer-register-box" ng-class="{'green-lines':Model.IsGreenColor==true,'blue-lines':Model.IsBlueColor==true,'black-lines':Model.IsBlueColor==false && Model.IsGreenColor==false}">
                    <div class="margin-bt-8"><span class="text-bold gothambold-font"></span> <span class="gothambook-font">{{Model.Comments}}</span></div>

                    <div class="margin-bt-8"><span class="text-bold gothambold-font">REGISTRATION BEGINS: </span> <span class="gothambook-font">{{Model.Body.GeneralRegistrationOpens}}</span></div>
                    <div class="margin-bt-18"><span class="text-bold gothambold-font">REGISTRATION CLOSES: </span> <span class="gothambook-font">{{Model.Body.GeneralRegistrationCloses}}</span></div>
                </div>

                <div class="link-box">

                    <a target="_blank" class="link-footer" href="{{Model.Body.ClubUrl}}">
                        <span class="text-bold">REGISTER AT:</span>
                        <span>{{Model.Body.ClubUrl}}</span>
                    </a>
                </div>
                <div class="footer-gray">

                    <div class="init-align">
                        <label ng-class="[text-bold,{'f-item-contact-us':Model.IsGreenColor==true,'f-item-contact-us-blue':Model.IsBlueColor==true,'f-item-contact-us-white':Model.IsGreenColor==false && Model.IsBlueColor==false }]">
                            CONTACT US: <span class="weight-tin">{{Model.Email}}</span>
                        </label>
                        <label ng-class="[text-bold,{'f-item-contact-us':Model.IsGreenColor==true,'f-item-contact-us-blue':Model.IsBlueColor==true,'f-item-contact-us-white':Model.IsGreenColor==false && Model.IsBlueColor==false}]" style="display:block !important">PHONE #: <span class="weight-tin">{{Model.Phone}}</span></label>
                    </div>
                    <div class="init-align footer-icons">
                        <label class="item-row-2-r"><img src="~/Areas/Dashboard/Content/Image/jumbula-logo.png" style="width:50px;" /></label>
                    </div>

                </div>


            </div>

        </div>
        <hr />
        <button class="success large place-right button" ng-click="SaveFlyer()">Save</button>
        <div class="clearfix"></div>
    </div>




</form>




